Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class EndpointInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractDescriptionElement
              org.apache.cxf.service.model.EndpointInfo

All Implemented Interfaces:
  Extensible

    public class EndpointInfo

extends AbstractDescriptionElement

Constructor Summary
`EndpointInfo()`
`EndpointInfo(ServiceInfo serv, java.lang.String ns)`

Method Summary
`java.lang.String` | `getAddress()`
`BindingInfo` | `getBinding()`
`InterfaceInfo` | `getInterface()`
`javax.xml.namespace.QName` | `getName()`
`ServiceInfo` | `getService()`
`EndpointReferenceType` | `getTarget()`
`java.lang.String` | `getTransportId()`
`
`<T> T`
` | `getTraversedExtensor(T defaultValue, java.lang.Class<T> type)` Lookup a configuration value.
`void` | `setAddress(EndpointReferenceType endpointReference)`
`void` | `setAddress(java.lang.String addr)`
`void` | `setBinding(BindingInfo b)`
`void` | `setName(javax.xml.namespace.QName n)`
`void` | `setTransportId(java.lang.String tid)`

Methods inherited from class org.apache.cxf.service.model.AbstractDescriptionElement
`getDescription, setDescription`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointInfo

    public EndpointInfo()

### EndpointInfo

    public EndpointInfo(ServiceInfo serv,
                        java.lang.String ns)

Method Detail

### getTransportId

    public java.lang.String getTransportId()

### setTransportId

    public void setTransportId(java.lang.String tid)

### getInterface

    public InterfaceInfo getInterface()

### getService

    public ServiceInfo getService()

### getName

    public javax.xml.namespace.QName getName()

### setName

    public void setName(javax.xml.namespace.QName n)

### getBinding

    public BindingInfo getBinding()

### setBinding

    public void setBinding(BindingInfo b)

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String addr)

### setAddress

    public void setAddress(EndpointReferenceType endpointReference)

### getTraversedExtensor

    public <T> T getTraversedExtensor(T defaultValue,
                                      java.lang.Class<T> type)

  Description copied from class: `AbstractPropertiesHolder`
  Lookup a configuration value. This may be found in the properties holder supplied (i.e. an EndpointInfo or ServiceInfo), or it may be a property on the Bus itself. If no value is found, the defaultValue is returned.

  Overrides:
    `getTraversedExtensor` in class `AbstractPropertiesHolder`
  Parameters:
    `defaultValue` - the default value
    `type` - the extensor type
  Returns:
    the configuration value or the default

### getTarget

    public EndpointReferenceType getTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.